Description

Currently the plugin migrate directory is fixed to "plugins/<plugin_name>/db/migrate" but the plugin API allows setting a custom

directory.

I attached a patch to use the plugin directory instead. Because the default value for the plugin directory is "plugins/<plugin_name>"

this should be compatible with existing plugins.

Related issues:

Related to Redmine - Patch #13927: Reduce coupling between plugins and the "p... New

Associated revisions

Revision 14364 - 2015-06-21 18:32 - Jean-Philippe Lang

Plugin migration directory should use plugin directory (#14402).

History

#1 - 2013-12-01 14:18 - Toshi MARUYAMA

- Related to Patch #13927: Reduce coupling between plugins and the "plugins/" directory added

#2 - 2015-06-21 09:26 - Mischa The Evil

- Target version set to 3.1.0

Florian Schwab wrote:

Currently the plugin migrate directory is fixed to "plugins/<plugin_name>/db/migrate" [...]

 Indeed, source:/trunk/lib/redmine/plugin.rb@14359#L428.

[...] but the plugin API allows setting a custom directory.

 Right, which is implemented in r11766 and first shipped with Redmine 2.4.0.

I attached a patch to use the plugin directory instead. Because the default value for the plugin directory is "plugins/<plugin_name>" this should

be compatible with existing plugins.

 Can this little fix still be included in 3.1.0?

#3 - 2015-06-21 18:32 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed in r14364.
